# ExtendedDocumentParameterProcessor class Null safety

Inheritance
  - Object
  - DocumentParameterProcessor
  - ExtendedDocumentParameterProcessor

## Constructors

ExtendedDocumentParameterProcessor(dynamic super)

## Properties

app → AppModel
  final, inherited
context → BuildContext
  final, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
images ↔ List<DocumentItemModel>?
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

image(KeyValue k) → String?
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
otherKeyValue(String myString, KeyValue k) → String
  override
otherParam(String myString, Param s) → String
  inherited
otherSingleValue(String myString, SingleValue p) → String
  inherited
param(String parseMe) → Param?
  inherited
process(String documentContent) → String
  inherited
toString() → String
  A string representation of this object. [...]
  inherited
userGroup() → String
  inherited
userName() → String?
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

theImage ↔ String
  read / write